Bug 1649043 - CVE-2018-10851 pdns-recursor: pdns: Memory leak while parsing malformed records [epel-all]
Summary: CVE-2018-10851 pdns-recursor: pdns: Memory leak while parsing malformed recor...
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: pdns-recursor
Version: epel7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
Assignee: Ruben Kerkhof
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Security, SecurityTracking
Depends On:
Blocks: CVE-2018-10851
TreeView+ depends on / blocked
 
Reported: 2018-11-12 18:46 UTC by Pedro Sampaio
Modified: 2018-12-16 04:21 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-12-16 00:38:13 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2018-11-12 18:46:41 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of epel-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora EPEL. While
only one tracking bug has been filed, please correct all affected versions
at the same time.  If you need to fix the versions independent of each
other, you may clone this bug as appropriate.

Comment 1 Pedro Sampaio 2018-11-12 18:46:44 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1588185,1649043

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2018-11-13 09:33:30 UTC
pdns-recursor-4.1.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f9270bbaec

Comment 3 Fedora Update System 2018-11-13 09:33:49 UTC
pdns-recursor-4.1.7-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-9edb27ef05

Comment 4 Fedora Update System 2018-11-13 09:34:07 UTC
pdns-recursor-4.1.7-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-86e2487df2

Comment 5 Fedora Update System 2018-11-14 03:39:15 UTC
pdns-recursor-4.1.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f9270bbaec

Comment 6 Fedora Update System 2018-11-14 04:30:36 UTC
pdns-recursor-4.1.7-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-86e2487df2

Comment 7 Fedora Update System 2018-11-14 06:01:46 UTC
pdns-recursor-4.1.7-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9edb27ef05

Comment 8 Fedora Update System 2018-11-29 14:23:09 UTC
pdns-recursor-4.1.8-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-bffc0108f2

Comment 9 Fedora Update System 2018-11-29 14:23:31 UTC
pdns-recursor-4.1.8-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-c341b70641

Comment 10 Fedora Update System 2018-11-29 14:23:54 UTC
pdns-recursor-4.1.8-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e14840a7f5

Comment 11 Fedora Update System 2018-11-30 03:14:19 UTC
pdns-recursor-4.1.8-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-bffc0108f2

Comment 12 Fedora Update System 2018-11-30 03:17:47 UTC
pdns-recursor-4.1.8-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-c341b70641

Comment 13 Fedora Update System 2018-11-30 15:12:19 UTC
pdns-recursor-4.1.8-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e14840a7f5

Comment 14 Fedora Update System 2018-12-16 00:38:13 UTC
pdns-recursor-4.1.8-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-12-16 02:24:22 UTC
pdns-recursor-4.1.8-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-12-16 04:21:58 UTC
pdns-recursor-4.1.8-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.